import 'package:json_annotation/json_annotation.dart';

import '../../../apiParams.dart';

part 'sendMessageParams.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: false)
class SendMessageParams extends ApiParams {
  String message;
  int? replyTo;

  SendMessageParams(this.message, {this.replyTo});

  factory SendMessageParams.fromJson(Map<String, dynamic> json) => _$SendMessageParamsFromJson(json);
  Map<String, dynamic> toJson() => _$SendMessageParamsToJson(this);
}